Bug 1252831 - Review Request: percona-xtrabackup - online (non-blockable) backup solution for InnoDB and XtraDB engines
Review Request: percona-xtrabackup - online (non-blockable) backup solution f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 06:04 EDT by Pete MacKinnon
Modified: 2015-09-19 19:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.2.9-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-19 14:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pete MacKinnon 2015-08-12 06:04:46 EDT
Spec URL: https://pmackinn.fedorapeople.org/percona/xtrabackup/2.2.9/percona-xtrabackup.spec
SRPM URL: https://pmackinn.fedorapeople.org/percona/xtrabackup/2.2.9/percona-xtrabackup-2.2.9-1.fc21.src.rpm
Description: Percona XtraBackup is an online (non-blockable) backup solution for InnoDB and XtraDB engines. It enables 'hot backups' to be made when using these database engines. The tool will also backup MyISAM engine tables in a locking fashion.
Fedora Account System Username: pmackinn
Comment 2 Christopher Meng 2015-08-12 10:04:48 EDT
+CC I've packaged and used this fine since 2 years ago, it'd be great to see this.
Comment 3 Haïkel Guémar 2015-08-31 18:34:11 EDT
Please before importing this package, please do the following changes:
* drop the Group tags, they're unused now
* drop the Packager tag (mandatory)
* percona-xtrabackup-test should have a fully versioned deps on main package
Requires: %{name}%{?_isa} = %{version}-%{release}



As soon as these points are fixed, this package complies with Fedora Packaging Guidelines,
so I hereby approve it into Fedora Packages Collection.
Please submit a SCM request



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Stewart Smith <stewart@flamingspork.com>
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in percona-
     xtrabackup-test
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 5621760 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: percona-xtrabackup-2.2.9-1.fc24.x86_64.rpm
          percona-xtrabackup-test-2.2.9-1.fc24.x86_64.rpm
          percona-xtrabackup-2.2.9-1.fc24.src.rpm
percona-xtrabackup-test.x86_64: E: incorrect-fsf-address /usr/share/percona-xtrabackup-test/python/subunit/tests/TestUtil.py
percona-xtrabackup.src:16: W: hardcoded-packager-tag Stewart Smith <stewart@flamingspork.com>
3 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: percona-xtrabackup-debuginfo-2.2.9-1.fc24.x86_64.rpm
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_local.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_archive.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xtrabackup.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/write_filt.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbstream.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/wsrep.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt_common.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt_read.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/datasink.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xtrabackup.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_buffer.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/include/xb0xb.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/common.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_tmpfile.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_xbstream.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_stdout.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_archive.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_compress.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_local.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_encrypt.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xb_regex.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/fil_cur.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_tmpfile.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_encrypt.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbstream_write.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_stdout.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_xbstream.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt_write.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/changed_page_bitmap.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbstream.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/changed_page_bitmap.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_compress.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbstream_read.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/compact.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/fil_cur.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/read_filt.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/write_filt.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/datasink.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_buffer.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/wsrep.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/read_filt.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/compact.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt.c
1 packages and 0 specfiles checked; 44 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
percona-xtrabackup-test.x86_64: E: incorrect-fsf-address /usr/share/percona-xtrabackup-test/python/subunit/tests/TestUtil.py
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_encrypt.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_stdout.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbstream.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/fil_cur.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_tmpfile.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/include/xb0xb.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/wsrep.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_buffer.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_compress.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt_read.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt_write.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/common.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_xbstream.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/write_filt.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_tmpfile.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/changed_page_bitmap.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_stdout.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/write_filt.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/changed_page_bitmap.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbstream.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbcrypt_common.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_xbstream.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbstream_read.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/compact.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_archive.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_buffer.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xb_regex.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/read_filt.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_local.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/compact.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_compress.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xtrabackup.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_local.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/datasink.c
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/read_filt.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/fil_cur.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_archive.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xtrabackup.cc
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/wsrep.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/ds_encrypt.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/datasink.h
percona-xtrabackup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/xbstream_write.c
3 packages and 0 specfiles checked; 45 errors, 0 warnings.



Requires
--------
percona-xtrabackup-test (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/env
    /usr/bin/mysql
    /usr/bin/python
    percona-xtrabackup

percona-xtrabackup (rpmlib, GLIBC filtered):
    /usr/bin/env
    libaio.so.1()(64bit)
    libaio.so.1(LIBAIO_0.1)(64bit)
    libaio.so.1(LIBAIO_0.4)(64bit)
    libc.so.6()(64bit)
    libcrypt.so.1()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcrypt.so.20()(64bit)
    libgcrypt.so.20(GCRYPT_1.6)(64bit)
    libgpg-error.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    perl(Carp)
    perl(Cwd)
    perl(DBD::mysql)
    perl(Data::Dumper)
    perl(Digest::MD5)
    perl(English)
    perl(Errno)
    perl(File::Basename)
    perl(File::Copy)
    perl(File::Find)
    perl(File::Path)
    perl(File::Spec)
    perl(File::Temp)
    perl(FileHandle)
    perl(FindBin)
    perl(Getopt::Long)
    perl(IO::Socket)
    perl(POSIX)
    perl(Pod::Usage)
    perl(Sys::Hostname)
    perl(Time::HiRes)
    perl(constant)
    perl(strict)
    perl(warnings)
    rtld(GNU_HASH)



Provides
--------
percona-xtrabackup-test:
    percona-xtrabackup-test
    percona-xtrabackup-test(x86-64)

percona-xtrabackup:
    percona-xtrabackup
    percona-xtrabackup(x86-64)
    xtrabackup



Source checksums
----------------
https://github.com/percona/percona-xtrabackup/archive/9033b0be333cf0629fcdc82ac1a9de6db6d3c205/percona-xtrabackup-9033b0be333cf0629fcdc82ac1a9de6db6d3c205.tar.gz :
  CHECKSUM(SHA256) this package     : d4f0af0ce16ebefe43849a1c0d920eb112a9c74d1534d5740913656a0bc5308e
  CHECKSUM(SHA256) upstream package : d4f0af0ce16ebefe43849a1c0d920eb112a9c74d1534d5740913656a0bc5308e


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: percona-xtrabackup-
  9033b0be333cf0629fcdc82ac1a9de6db6d3c205/storage/innobase/xtrabackup/src/libarchive/configure.ac:94,
  percona-xtrabackup-
  9033b0be333cf0629fcdc82ac1a9de6db6d3c205/libevent/configure.in:30
  AM_CONFIG_HEADER found in: percona-xtrabackup-
  9033b0be333cf0629fcdc82ac1a9de6db6d3c205/libevent/configure.in:6


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1252831 -m fedora-rawhide-x86_64 -x CheckLicenseField
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Pete MacKinnon 2015-09-01 16:03:07 EDT
New Package SCM Request
=======================
Package Name: percona-xtrabackup
Short Description: Online InnoDB and XtraDB backup tool 
Owners: pmackinn
Branches: 21,22,23
InitialCC:
Comment 6 Gwyn Ciesla 2015-09-03 08:51:21 EDT
Branches require the f, not merely the number, f21 rather than 21, for
example.

Git done (by process-git-requests).
Comment 7 Pete MacKinnon 2015-09-03 18:24:35 EDT
Package Change Request
======================
Package Name: percona-xtrabackup
New Branches: epel7
Owners: pmackinn
Comment 8 Gwyn Ciesla 2015-09-03 23:14:26 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2015-09-04 10:58:39 EDT
percona-xtrabackup-2.2.9-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15092
Comment 10 Fedora Update System 2015-09-04 11:04:35 EDT
percona-xtrabackup-2.2.9-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15094
Comment 11 Fedora Update System 2015-09-04 11:06:05 EDT
percona-xtrabackup-2.2.9-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15095
Comment 12 Fedora Update System 2015-09-04 19:18:36 EDT
percona-xtrabackup-2.2.9-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update percona-xtrabackup'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15095
Comment 13 Fedora Update System 2015-09-04 19:20:18 EDT
percona-xtrabackup-2.2.9-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update percona-xtrabackup'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15094
Comment 14 Fedora Update System 2015-09-04 19:21:57 EDT
percona-xtrabackup-2.2.9-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update percona-xtrabackup'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15092
Comment 15 Fedora Update System 2015-09-19 14:55:55 EDT
percona-xtrabackup-2.2.9-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-09-19 17:51:29 EDT
percona-xtrabackup-2.2.9-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-09-19 19:19:57 EDT
percona-xtrabackup-2.2.9-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.